import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { MissingTeethStatusSchema } from '../enums/MissingTeethStatus.schema';
import { NullableJsonNullValueInputSchema } from '../enums/NullableJsonNullValueInput.schema';
import { ClaimStatusSchema } from '../enums/ClaimStatus.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  appointmentId: z.number().int().optional().nullable(),
  userId: z.number().int(),
  staffId: z.number().int(),
  patientName: z.string(),
  memberId: z.string(),
  dateOfBirth: z.coerce.date(),
  remarks: z.string(),
  missingTeethStatus: MissingTeethStatusSchema.optional(),
  missingTeeth: z.union([NullableJsonNullValueInputSchema, jsonSchema]).optional(),
  serviceDate: z.coerce.date(),
  insuranceProvider: z.string(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional(),
  status: ClaimStatusSchema.optional(),
  claimNumber: z.string().optional().nullable(),
  preAuthNumber: z.string().optional().nullable(),
  npiProviderId: z.number().int().optional().nullable()
}).strict();
export const ClaimCreateManyPatientInputObjectSchema: z.ZodType<Prisma.ClaimCreateManyPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimCreateManyPatientInput>;
export const ClaimCreateManyPatientInputObjectZodSchema = makeSchema();
